com.abbyy.mobile.rtr

## Interface ITextCaptureService.Callback

- All Superinterfaces:
    IRecognitionService.Callback
  Enclosing interface:
    ITextCaptureService

      public static interface ITextCaptureService.Callback
      extends IRecognitionService.Callback

  A callback interface to interact with the text capture service: input the data and obtain the results. While the service is being stopped, frames continue to be requested and calls to this callback continue to be queued, so this callback can be called after the service has been stopped.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFrameProcessed(ITextCaptureService.TextLine[] lines, IRecognitionService.ResultStabilityStatus resultStatus, IRecognitionService.Warning warning)` Delivers the result after recognizing the frames that were supplied.

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IRecognitionService.Callback

      `onError, onRequestLatestFrame`

- - ### Method Detail

    - #### onFrameProcessed

          void onFrameProcessed(ITextCaptureService.TextLine[] lines,
                                IRecognitionService.ResultStabilityStatus resultStatus,
                                IRecognitionService.Warning warning)

      Delivers the result after recognizing the frames that were supplied.

      The recognition confidence is also provided and should be used to determine if the accuracy is high enough for the result to be used for any practical purposes. We recommend not to use the data in any way until the confidence level has reached `Available`. When the confidence returned by this method has reached the desired level, the service may be stopped by calling the `stop` method.

      Parameters:
        `lines` - the result as an array of text lines
        `resultStatus` - the estimate of how stable the result is. It may go up and down. It is not guaranteed that it ever reaches desired levels for a particular scene.
        `warning` - the warning which occurred, if any